#  Authors: Sylvain Marie <sylvain.marie@se.com>
#
#  License: BSD 3 clause

from getversion.main import get_module_version, DetailedResults, ModuleVersionNotFound

try:
    # import version from _version.py generated by setuptools_scm
    from _version import version
    __version__ = version
    del version
except ImportError:
    # use setuptools_scm to get the current version using git
    # we do not use this because our tests rely on the fact that this is not done correctly :)
    # from setuptools_scm import get_version
    # from os.path import join, pardir, dirname
    # __version__ = get_version(join(dirname(__file__), pardir))
    pass

__all__ = [
    # submodules
    'main',
    # symbols imported above
    'get_module_version', 'DetailedResults', 'ModuleVersionNotFound'
]
